Bug 1467629 - Error messages disappear when clicked or text selected.
Error messages disappear when clicked or text selected.
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
x86_64 Linux
medium Severity medium
: GA
: 5.10.0
Assigned To: Dávid Halász
Jaroslav Henner
: TestOnly
Depends On:
Blocks: 1509361 1509378
  Show dependency treegraph
 
Reported: 2017-07-04 08:09 EDT by Jaroslav Henner
Modified: 2018-06-21 16:52 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1509361 1509378 (view as bug list)
Environment:
Last Closed: 2018-06-21 16:52:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
inline notification (171.19 KB, image/png)
2017-07-24 13:57 EDT, Eric Winchell
no flags Details

  None (edit)
Description Jaroslav Henner 2017-07-04 08:09:16 EDT
Description of problem:
When an box with error message appears and one tries to select it's text using double-click, the error message disappears (with the first click) which is quite unexpected and inconvenient when dealing with some errors that appears sporadically.

Version-Release number of selected component (if applicable):
Version 5.7.3.2.20170621144854_6c833cc 

How reproducible:
always

Steps to Reproduce:
1. Generate error message. For example set the Hawkular URL and port so that you will get connection reset when connecting it.
2. Error message appears
3. Click on the flash error message.

Actual results:
It disappears preventing user to copy the error message

Expected results:
It stays. Some [X] button should be used to get rid of the message rather than just clicking on it.

Additional info:
Comment 5 Eric Winchell 2017-07-24 13:57 EDT
Created attachment 1303778 [details]
inline notification
Comment 8 CFME Bot 2017-11-01 05:08:34 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ab073400a38e6700946cdce9e1d99576ab0e6f98

commit ab073400a38e6700946cdce9e1d99576ab0e6f98
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Oct 31 16:52:13 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Oct 31 16:52:13 2017 +0100

    Add a dismiss button for dynamically generated flash messages
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1467629

 app/assets/javascripts/miq_flash.js | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.